Archive a quote template

Transitions a quote template to ARCHIVED. Archived quote templates can no longer be instantiated. Requires the QUOTE.TEMPLATE.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdOrReferencestringRequiredDefaults to
The ID or reference of the resource.

Headers

x-platform-idstringOptional
Platform ID.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
namestringformat: "^.*$"0-256 characters
Name of the template.
referencestringformat: "^\S+$"0-256 characters
A custom reference assigned to the template.
descriptionstring or nullformat: "^.*$"0-256 characters
Description of the template.
statusenum
The status of the template
pricing_plan_subscriptionobject
Template used to define the subscription made for quotes made from this template.
pricing_plan_scheduleobject
Template used to select the schedule associated to quotes made from this template.
quote_versionobject
Template used to create the initial quote body for quotes made from this template.
created_atstring or nullRead-only
updated_atstring or nullRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error